Subject: bug#44782: closed (Re: bug#44782: Python and Gajim-OMEMO)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Dec 2020 18:24:02 +0000

Your bug report

#44782: Python and Gajim-OMEMO

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44782: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44782
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44782: Python and Gajim-OMEMO
From: Maxim Cournoyer <[email-masked]>
To: Raghav Gururajan <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Dec 2020 13:23:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Raghav,

Raghav Gururajan <[email-masked]> writes:

> Hi Maxim!
>
>> Actually, I can't seem to reproduce, using:
>> guix environment --pure --ad-hoc gajim gajim-omemo -- gajim -l
>> gajim.p.omemo=DEBUG
>> Then I tried signing up with some random account, enabled the plugin
>> and
>> I could see:
>> 12/28/20 23:28:16 (I) gajim.p.omemo              ($some-server)
>> Generating OMEMO keys
>> 12/28/20 23:28:21 (I) gajim.p.omemo              ($some-server) Our device id: 1816266738
>> 12/28/20 23:28:21 (I) gajim.p.omemo              ($some-server) 100 PreKeys available
>> It seems like you may have 'pip3 install enum34' or have other
>> things in
>> your environment that cause the issue?
>> If you can't reproduce in a clean environment, let's close it.
>
> Oh, I sent an email to debbugs-control long ago to close this bug. It
> seems like the email didn't go through. I'll retry.

It seems your message hadn't reached Debbugs.

No worries, I'm closing it now, by replying in Cc: to
[email-masked].

Thanks for the report!

Maxim

Subject: Python and Gajim-OMEMO
From: Raghav Gururajan <[email-masked]>
To: [email-masked]
Date: Sat, 21 Nov 2020 13:55:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

It appears that our python is incorrectly compiled or compiled with 
missing component. Due to this, OMEMO plugin in gajim does not work.

Here is the output for `gajim -l gajim.p.omemo=DEBUG`:

*** START ***
Traceback (most recent call last):
   File 
"/gnu/store/5h0xfqysfddzc4283wcyr0j8jj2zaz9c-gajim-1.2.2/bin/..gajim-real-real", 
line 4, in <module>
     import re
   File 
"/gnu/store/09a5iq080g9b641jyl363dr5jkkvnhcn-python-3.8.2/lib/python3.8/re.py", 
line 143, in <module>
     class RegexFlag(enum.IntFlag):
AttributeError: module 'enum' has no attribute 'IntFlag'
*** END ***

Also, I am flagging this issue as 'important' as it affects 
security/privacy of messaging in gajim application.

Regards,
RG.